#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
#include "EntityStateSplash.h"
//¾ÞÄ§£º¼ôµ¶ÐÎÌ¬·ÖÉí
class CS_Enemy_GolemScissorsClone :
    public Entity
{
public:
    CS_Enemy_GolemScissorsClone(std::shared_ptr<Entity> parent);
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    EntityStateGravity stateGravity;
    EntityStateSplash stateSplash;
    float srcVx = 0;
    bool bNormalMode = false;
};

void SetCS_Enemy_GolemScissorsClone(std::shared_ptr<Entity> parent, float x, float y, float vx, float vy);